Ionic 3 add ios platform Installing pods Sit back and relax this could take a while

HI got below issues in ionic 3 platform add ios

phonegap-plugin-push requires pod: FirebaseMessaging
Checking config.xml for pods.
config.xml requires pod: LatestPod
config.xml requires pod: VersionedPod
config.xml requires pod: GitPod1
config.xml requires pod: GitPod2
config.xml requires pod: GitPod3
config.xml requires pod: Foobar
config.xml requires pod: Foobar
config.xml requires pod: JSONKit
config.xml requires pod: JustLikeCordova
config.xml requires pod: JustLikeCordova
config.xml requires pod: BadBundle
config.xml requires pod: Lock
Error: spawn pod ENOENT
Installing pods
Sit back and relax this could take a while.
[ERROR] An error occurred while running subprocess cordova.

    cordova platform add ios --save exited with exit code 1.

    Re-running this command with the --verbose flag may provide more
    information.

MY ionic configuration:
Ionic:

ionic (Ionic CLI) : 4.2.1 (C:\Users\admin\AppData\Roaming\npm\node_modules\ionic)
Ionic Framework : ionic-angular 3.9.2
@ionic/app-scripts : 3.2.0

Cordova:

cordova (Cordova CLI) : 8.1.2 (cordova-lib@8.1.1)
Cordova Platforms : android 7.1.1, ios 4.5.5
Cordova Plugins : cordova-plugin-ionic-keyboard 2.1.3, cordova-plugin-ionic-webview 1.2.1, (and 14 other plugins)

System:

NodeJS : v10.9.0 (C:\Program Files\nodejs\node.exe)
npm : 6.2.0
OS : Windows 7

anyone help me please

3 Likes